> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set defaults for quality sets

> Method to set default quality set for VOD and Live transcoding.

For changing default quality set, specify the ID of the custom quality set from the method GET /`quality_sets`.

Default value can be reverted to the system defaults (cleared) by setting ``` "id": null ```.

  


Live transcoding management:
- You can specify quality set explicitly in POST /streams method, look at attribute "quality_set_id".
- Otherwise these default values will be used by the system by default. 

VOD transcoding management:
- You can specify quality set explicitly in POST /videos method, look at attribute "quality_set_id".
- Otherwise these default values will be used by the system by default.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml put /streaming/quality_sets/default
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/quality_sets/default:
    put:
      tags:
        - QualitySets
      summary: Set defaults for quality sets
      description: >-
        Method to set default quality set for VOD and Live transcoding.


        For changing default quality set, specify the ID of the custom quality
        set from the method GET /`quality_sets`.


        Default value can be reverted to the system defaults (cleared) by
        setting ``` "id": null ```.

          


        Live transcoding management:

        - You can specify quality set explicitly in POST /streams method, look
        at attribute "quality_set_id".

        - Otherwise these default values will be used by the system by default. 


        VOD transcoding management:

        - You can specify quality set explicitly in POST /videos method, look at
        attribute "quality_set_id".

        - Otherwise these default values will be used by the system by default.
      operationId: put_qualityset_default
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/qualitysetDefault'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qualitysets'
        '400':
          description: One or more parameters were specified incorrectly, check the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badrequest'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            quality_sets = client.streaming.quality_sets.set_default()
            print(quality_sets.live)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/streaming\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tqualitySets, err := client.Streaming.QualitySets.SetDefault(context.TODO(), streaming.QualitySetSetDefaultParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", qualitySets.Live)\n}\n"
components:
  schemas:
    qualitysetDefault:
      type: object
      properties:
        live:
          type: object
          properties:
            id:
              type: integer
              default: null
              description: ID of the custom quality set, or "null" for the system default
        vod:
          type: object
          properties:
            id:
              type: integer
              default: null
              description: ID of the custom quality set, or "null" for the system default
      example:
        live:
          id: 77
        vod:
          id: null
    qualitysets:
      type: object
      properties:
        live:
          type: array
          items:
            $ref: '#/components/schemas/qualityset1'
        vod:
          type: array
          items:
            $ref: '#/components/schemas/qualityset1'
      example:
        live:
          - id: 77
            name: Live 4K UHD 60fps AV1 (custom)
            default: true
            qualities:
              - id: 1
                name: vod2160n
              - id: 2
                name: vod1440n
        vod: []
    badrequest:
      type: object
      properties:
        status:
          type: integer
          description: Error number
        error:
          type: string
          description: Error message
      example:
        status: 400
        error: >-
          Bad Request response status code indicates that the server cannot or
          will not process the request due to something that is perceived to be
          a client error (for example, malformed request syntax, invalid request
          message framing, or deceptive request routing).
    qualityset1:
      type: object
      properties:
        id:
          type: integer
          description: ID of the custom quality set
        name:
          type: string
          description: Human readable name of the quality set
        default:
          type: boolean
          description: States if this preset is default for a client profile
        qualities:
          type: array
          description: Array of associated qualities
          items:
            type: object
            properties:
              id:
                type: integer
                description: ID of the quality
              name:
                type: string
                description: Name of the quality
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````